import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional()
}).strict();
export const ShoppingVendorWhereUniqueInputObjectSchema: z.ZodType<Prisma.ShoppingVendorWhereUniqueInput> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorWhereUniqueInput>;
export const ShoppingVendorWhereUniqueInputObjectZodSchema = makeSchema();
